%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr
 
Name: ksendfax
Summary: KSendFax
Version: 0.3.2
Release: 7
URL: http://www.sad.it/~jug/ksendfax
Source: ftp://ftp.sad.it/pub/kde/local/ksendfax-%{version}.tar.gz
Group: Applications/Communications
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: qt1x-devel, kdelibs-devel
Requires: kdelibs qt1x
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{kdeprefix}
ExcludeArch: ia64

%description
KSendFax is an interface to known FAX-Packages like HylaFax, E-Fax or
mgetty+sendfax for sending facsimiles. It incorporates also a
phonebook so that recipients can be saved and selected to/from
this. It is not intended to configure your whole fax-suite, but only
as GUI-interface for an already configured FAX-Package.  

%prep
%setup -q
%build
export KDEDIR=%{prefix} QTDIR=%{qtdir}
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif

FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --prefix=%{kdeprefix} \
	 --with-install-root=$RPM_BUILD_ROOT


make -j $CPUS

%install
rm -rf $RPM_BUILD_ROOT

make install-strip

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' \
	-e '\/etc\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT ../file.list.%{name}

%files -f ../file.list.%{name} 

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- rebuilt against the kdelibs-1.1.2

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against with compat-libstdc++

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with compat-egcs-c++ 1.1.2

* Mon Jun 12 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Qt 1.45
- add URL
- fix Source: URL

* Fri Sep 17 1999 Preston Brown <pbrown@redhat.com>
- adopt for powertools 6.1

* Mon Jul 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

